Mail archive
alpine-aports

[alpine-aports] [PATCH] main/xf86-input-evdev: don't conflict with xorg-server

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Tue, 3 Nov 2015 12:09:19 +0100

---
 main/xf86-input-evdev/APKBUILD | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/main/xf86-input-evdev/APKBUILD b/main/xf86-input-evdev/APKBUILD
index ee77e4c..56b9c11 100644
--- a/main/xf86-input-evdev/APKBUILD
+++ b/main/xf86-input-evdev/APKBUILD
_at_@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=xf86-input-evdev
 pkgver=2.10.0
-pkgrel=1
+pkgrel=2
 pkgdesc="X.org evdev input driver"
 url="http://xorg.freedesktop.org/"
 arch="all"
_at_@ -27,7 +27,12 @@ build() {
 package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
+
+	# Install custom license
 	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+
+	# Don't conflict with xorg-server
+	rm -f "$pkgdir"/usr/share/X11/xorg.conf.d/10-evdev.conf || return 1
 }
 
 md5sums="b1183c55125981d346102d1be704760b  xf86-input-evdev-2.10.0.tar.bz2"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Nov 03 2015 - 12:09:19 GMT